Bug 6404 - Неправильная иконка для кнопки "-" в рабочем окружении по умолчанию.
: Неправильная иконка для кнопки "-" в рабочем окружении по умолчанию.
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Andrey Bondrov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 06:33 MSK by Рамиль
Modified: 2015-12-08 19:35 MSK (History)
2 users (show)

See Also:
RPM Package: rosa-icons
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
Слева kazam в Kubuntu, справа в РОСА. (159.63 KB, image/png)
2015-12-03 06:33 MSK, Рамиль
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Рамиль 2015-12-03 06:33:59 MSK
Created attachment 4299 [details]
Слева kazam в Kubuntu, справа в РОСА.

Заметил проблему в программе kazam, где можно задавать таймер обратного отсчета, есть кнопки "+" и "-", но в РОСА почему-то минус показывается значком "Отмена".
Comment 1 Andrey Bondrov 2015-12-04 13:28:31 MSK
Там оказывается, что нужны symbolic-иконки list-add-symbolic.svg и list-remove-symbolic.svg. А если их нет, то берутся в качестве fallback иконки list-add.svg и list-remove.svg. При этом ожидается, что внешний вид symbolic иконок отличается от не-symbolic минималистичностью (плоские и монотонные). Что хорошо видно на скриншоте из Росы, где кроме иконок + - присутсвуют ещё иконки устройств, с которыми + - совершенно не сочетаются стилистически.

Так что добавил в тему иконок ROSA нужные symbolic-иконки. Возможно, после обновления пакета надо будет ещё очистить кэш иконок (для этого переключиться на какую-нибудь другую тему иконок, а потом вернуться на ROSA).

Отправляю rosa-icons 1.1.7-4 на QA:

Advisory: "Add list-add-symbolic.svg, list-remove-all-symbolic.svg and list-remove-symbolic.svg to ROSA icons theme"

https://abf.rosalinux.ru/build_lists/2603712
https://abf.rosalinux.ru/build_lists/2603713
Comment 2 Vladimir Potapov 2015-12-07 18:45:17 MSK
rosa-icons-1.1.7-4
https://abf.rosalinux.ru/build_lists/2603712
https://abf.rosalinux.ru/build_lists/2603713
***************************** Advisory *****************************
Add list-add-symbolic.svg, list-remove-all-symbolic.svg and list-remove-symbolic.svg to ROSA icons theme
********************************************************************
QA Verified
Comment 3 Рамиль 2015-12-08 19:35:57 MSK
Красота! Спасибо!